Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericDOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation
          org.apache.batik.dom.GenericDOMImplementation

All Implemented Interfaces:
  Serializable, DOMImplementation

    public class GenericDOMImplementation

extends AbstractDOMImplementation

This class implements the `DOMImplementation`.

See Also:
  Serialized Form

Field Summary
`protected static DOMImplementation` | `DOM_IMPLEMENTATION` The default instance of this class.

Fields inherited from class org.apache.batik.dom.AbstractDOMImplementation
`features`

Constructor Summary
`GenericDOMImplementation()` Creates a new GenericDOMImplementation object.

Method Summary
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)`.
`DocumentType` | `createDocumentType(String qualifiedName, String publicId, String systemId)` DOM: Implements `DOMImplementation.createDocumentType(String,String,String)`.
`static DOMImplementation` | `getDOMImplementation()` Returns the default instance of this class.

Methods inherited from class org.apache.batik.dom.AbstractDOMImplementation
`createDocumentEventSupport, createEventSupport, getFeature, hasFeature, registerFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM_IMPLEMENTATION

    protected static final DOMImplementation DOM_IMPLEMENTATION

  The default instance of this class.

Constructor Detail

### GenericDOMImplementation

    public GenericDOMImplementation()

  Creates a new GenericDOMImplementation object.

Method Detail

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Returns the default instance of this class.

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicId,
                                           String systemId)

  DOM: Implements `DOMImplementation.createDocumentType(String,String,String)`.

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)`.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.